Package eu.mhsl.minenet.gameList.chat

# Class ChatMessage

java.lang.Object
eu.mhsl.minenet.gameList.chat.ChatMessage

public class ChatMessage extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChatMessage`
  `append(String message)`
  `ChatMessage`
  `append(String message, net.kyori.adventure.text.format.NamedTextColor color)`
  `net.kyori.adventure.text.Component`
  `build()`
  `static ChatMessage`
  `build(MessageType type, String message)`
  `ChatMessage`
  `pipe()`
  `ChatMessage`
  `quote(String quote)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### build

    public static ChatMessage build(MessageType type, String message)

  - ### quote

    public ChatMessage quote(String quote)

  - ### append

    public ChatMessage append(String message)

  - ### append

    public ChatMessage append(String message, net.kyori.adventure.text.format.NamedTextColor color)

  - ### pipe

    public ChatMessage pipe()

  - ### build

    public net.kyori.adventure.text.Component build()